
! tests R4
.macro instr_bit
	mov	#0x3D,r5
	and	r5, r8
	
	mov	#0x80,r5
	extu.b	r5, r5
	tst	r5, r4
	bt	0f
	
	or	r5, r8
0:
	mov	#0x40,r5
	tst	r5, r4
	bt	1f
	
	or	r5, r8
1:
	mov	r4, r5
	and	r11, r5
	mov	#0, r6
	cmp/eq	r5, r6
	bf	2f
	
	mov	#0x02, r5
	or	r5, r8
2:
.endm


! R4 contains (src)
.macro instr_sbc
	mov	r11, r1		! r1 = A
	sub	r4, r1		! r1 -= source
	
	mov	#1, r2
	tst	r2, r8
	bf	0f		! if carry is CLEAR, subtract it
	
	mov	#1, r2
	sub	r2, r1
	mov	#0xfe, r2
	extu.b	r2, r2
	and	r2, r8
0:
	mov	r1, r2
	extu.b	r1, r1
	negative_zero_8bit r1
	
	overflow_sbc_8bit r11, r4, r1
	
	mov	r2, r1
	shlr8	r2

	mov	#255, r3
	tst	r3, r2
	bt	1f
	
	mov	#1, r3
	or	r3, r8
1:
	extu.b	r1, r1
	mov	r1, r11
.endm
