
_asm_cpu_inst_bpl_pcr:
	get_immediate_byte .bplpcr1

	pcrel_clear_8bit #0x80

	mov.l	.bplpcr0, r2
	jmp	@r2
	nop
.align 2
.bplpcr0: .long _asm_cpu_execute_opcode_done
.bplpcr1: .long _nes_read_byte


_asm_cpu_inst_bcc_pcr:
	get_immediate_byte .bccpcr1

	pcrel_clear_8bit #0x01

	mov.l	.bccpcr0, r2
	jmp	@r2
	nop
.align 2
.bccpcr0: .long _asm_cpu_execute_opcode_done
.bccpcr1: .long _nes_read_byte

_asm_cpu_inst_bcs_pcr:
	get_immediate_byte .bcspcr1

	pcrel_set_8bit #0x01

	mov.l	.bcspcr0, r2
	jmp	@r2
	nop
.align 2
.bcspcr0: .long _asm_cpu_execute_opcode_done
.bcspcr1: .long _nes_read_byte

_asm_cpu_inst_beq_pcr:
	get_immediate_byte .beqpcr1

	pcrel_set_8bit #0x02

	mov.l	.beqpcr0, r2
	jmp	@r2
	nop
.align 2
.beqpcr0: .long _asm_cpu_execute_opcode_done
.beqpcr1: .long _nes_read_byte

_asm_cpu_inst_bmi_pcr:
	get_immediate_byte .bmipcr1

	pcrel_set_8bit #0x80

	mov.l	.bmipcr0, r2
	jmp	@r2
	nop
.align 2
.bmipcr0: .long _asm_cpu_execute_opcode_done
.bmipcr1: .long _nes_read_byte

_asm_cpu_inst_bne_pcr:
	get_immediate_byte .bnepcr1

	pcrel_clear_8bit #0x02

	mov.l	.bnepcr0, r2
	jmp	@r2
	nop
.align 2
.bnepcr0: .long _asm_cpu_execute_opcode_done
.bnepcr1: .long _nes_read_byte

_asm_cpu_inst_bvc_pcr:
	get_immediate_byte .bvcpcr1

	pcrel_clear_8bit #0x40

	mov.l	.bvcpcr0, r2
	jmp	@r2
	nop
.align 2
.bvcpcr0: .long _asm_cpu_execute_opcode_done
.bvcpcr1: .long _nes_read_byte

_asm_cpu_inst_bvs_pcr:
	get_immediate_byte .bvspcr1

	pcrel_set_8bit #0x40

	mov.l	.bvspcr0, r2
	jmp	@r2
	nop
.align 2
.bvspcr0: .long _asm_cpu_execute_opcode_done
.bvspcr1: .long _nes_read_byte

