// libc.h
#ifndef __LIBC_H
#define __LIBC_H

#include <stdarg.h>

#define true (1)
#define false (0)

#ifndef NULL
#define NULL ((void*)0)
#endif
#define size_t unsigned int

// Junk??
unsigned long simple_strtoul(const char *cp,char **endp,unsigned int base);
static int skip_atoi(const char **s);
static char * number(char * str, long num, int base, int size, int precision,int type);
int vsprintf(char *buf, const char *fmt, void * args);
int sprintf(char * buf, const char *fmt, ...);
char * strcpy(char * dest,const char *src);
char * strncpy(char * dest,const char *src, size_t count);
char * strcat(char * dest, const char * src);
char * strncat(char *dest, const char *src, size_t count);
int strcmp(const char * cs,const char * ct);
int strncmp(const char * cs,const char * ct,size_t count);
char * strchr(const char * s, int c);
char * strrchr(const char * s, int c);
//size_t strlen(const char * s);
size_t strnlen(const char * s, size_t count);
size_t strspn(const char *s, const char *accept);
char * strpbrk(const char * cs,const char * ct);
char * strtok(char * s,const char * ct);
//void * memset(void * s,int c,size_t count);
char * bcopy(const char * src, char * dest, int count);
//void * memcpy(void * dest,const void *src,size_t count);
void * memmove(void * dest,const void *src,size_t count);
//int memcmp(const void * cs,const void * ct,size_t count);
void * memscan(void * addr, int c, size_t size);
char * strstr(const char * s1,const char * s2);


#endif	// __LIBC_H

