_asm_cpu_inst_adc_aby:
	get_absolutey_byte .adcaby1
	mov	r0, r1	! r1 = src + A + carry
	mov	r0, r2
	add	r11, r1
	mov	r8,  r0
	and	#1, r0
	add	r0, r1  ! """"""""""""""""""""

	negative_zero_8bit r1	! set up N/Z flags for temp

	overflow_8bit	r11, r2, r1
	carry_8bit	r1, #255

	extu.b	r1, r1
	mov	r1, r11		! A += mem + carry .. seems like a lot, huh?

	! return from instruction
	mov.l	.adcaby0, r2
	jmp	@r2
	nop
.align 2
.adcaby0: .long _asm_cpu_execute_opcode_done
.adcaby1: .long _nes_read_byte


_asm_cpu_inst_and_aby:
	get_absolutey_byte .andaby1
	and	r0, r11

	negative_zero_8bit r11	! setup N/Z flags

	mov.l	.andaby0, r2
	jmp	@r2
	nop
.align 2
.andaby0: .long _asm_cpu_execute_opcode_done
.andaby1: .long _nes_read_byte

_asm_cpu_inst_cmp_aby:
	get_absolutey_byte .cmpaby1
        
	compare_8bit    r11, r0
                
	mov.l   .cmpaby0, r2
	jmp     @r2
	nop

.align 2
.cmpaby0: .long _asm_cpu_execute_opcode_done
.cmpaby1: .long _nes_read_byte


_asm_cpu_inst_eor_aby:
	get_absolutey_byte .eoraby1
	xor	r0, r11

	negative_zero_8bit r11	! setup N/Z flags

	mov.l	.eoraby0, r2
	jmp	@r2
	nop
.align 2
.eoraby0: .long _asm_cpu_execute_opcode_done
.eoraby1: .long _nes_read_byte


_asm_cpu_inst_lda_aby:
	get_absolutey_byte .ldaaby1
	mov	r0, r11

	negative_zero_8bit r11	! setup N/Z flags

	mov.l	.ldaaby0, r2
	jmp	@r2
	nop
.align 2
.ldaaby0: .long _asm_cpu_execute_opcode_done
.ldaaby1: .long _nes_read_byte

_asm_cpu_inst_ldx_aby:
	get_absolutey_byte .ldyaby1
	mov	r0, r10

	negative_zero_8bit r9	! setup N/Z flags

	mov.l	.ldyaby0, r2
	jmp	@r2
	nop
.align 2
.ldyaby0: .long _asm_cpu_execute_opcode_done
.ldyaby1: .long _nes_read_byte


_asm_cpu_inst_ora_aby:
	get_absolutey_byte .oraaby1
	or	r0, r11

	negative_zero_8bit r11	! setup N/Z flags

	mov.l	.oraaby0, r2
	jmp	@r2
	nop
.align 2
.oraaby0: .long _asm_cpu_execute_opcode_done
.oraaby1: .long _nes_read_byte

_asm_cpu_inst_sbc_aby:
	get_absolutey_byte .sbcaby1

	mov	r0, r4
	instr_sbc

	mov.l	.sbcaby0, r2
	jmp	@r2
	nop
.align 2
.sbcaby0: .long _asm_cpu_execute_opcode_done
.sbcaby1: .long _nes_read_byte
.sbcaby2: .long _nes_write_byte

_asm_cpu_inst_sta_aby:
	write_absolutey_byte .staaby1, .staaby2, r11

	mov.l	.staaby0, r2
	jmp	@r2
	nop
.align 2
.staaby0: .long _asm_cpu_execute_opcode_done
.staaby1: .long _nes_read_byte
.staaby2: .long _nes_write_byte

