#ifndef __FILE_IO_H
#define __FILE_IO_H

#include "types.h"

typedef struct _nes_file {
	u8 hdr[3];
	u8 id;
	u8 prg_count;
	u8 chr_count;
	u8 ucb[2];
	u8 reserved[8];
	u8 *data;
} nes_file;

nes_file *nes_file_open(u8 *);
void nes_file_details(nes_file *);

#endif
