#ifndef __MAPPERS_H
#define __MAPPERS_H

#include "types.h"
#include "fileio.h"

typedef struct _mapper {
	u8 number;
	u8 *name;
	void (*write_func) (u16, u8);
	 u8(*read_func) (u16);
	void (*init_func) (nes_file *);
} mapper;

void nes_mapper_init(nes_file *);
void nes_mapper_write(u16, u8);
u8 nes_mapper_read(u16);

#endif
