#ifndef __TABLES_H
#define __TABLES_H

static u8 osizes[256] = {
	1, 1, 1, 1, 1, 1, 1, 1,	/* 0 - 7 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 8 - 15 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 16 - 23 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 24 - 31 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 32 - 39 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 40 - 47 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 48 - 55 */
	1, 1, 1, 1, 3, 2, 1, 1,	/* 56 - 63 */
	1, 2, 1, 1, 1, 2, 1, 2,	/* 64 - 71 */
	1, 1, 3, 2, 1, 1, 1, 3,	/* 72 - 79 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 80 - 87 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 88 - 95 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 96 - 103 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 104 - 111 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 112 - 119 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 120 - 127 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 128 - 135 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 136 - 143 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 144 - 151 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 152 - 159 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 160 - 167 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 168 - 175 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 176 - 183 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 184 - 191 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 192 - 199 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 200 - 207 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 208 - 215 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 216 - 223 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 224 - 231 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 232 - 239 */
	1, 1, 1, 1, 1, 1, 1, 1,	/* 240 - 247 */
	1, 1, 1, 1, 1, 1, 1, 1	/* 248 - 255 */
};

static u8 *onames[256] = {
	(u8 *) "BRK", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 0 - 3 */
	(u8 *) NULL, (u8 *) "ORA", (u8 *) "ASL", (u8 *) NULL,	/* 4 - 7 */
	(u8 *) "PHP", (u8 *) "ORA", (u8 *) "ASL", (u8 *) NULL,	/* 8 - 11 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 12 - 15 */
	(u8 *) "BPL", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 16 - 19 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) "ASL", (u8 *) NULL,	/* 20 - 23 */
	(u8 *) "CLC", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 24 - 27 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 28 - 31 */
	(u8 *) "JSR", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 32 - 35 */
	(u8 *) NULL, (u8 *) "AND", (u8 *) NULL, (u8 *) NULL,	/* 36 - 39 */
	(u8 *) "PLP", (u8 *) "AND", (u8 *) "ROL", (u8 *) NULL,	/* 40 - 43 */
	(u8 *) "BIT", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 44 - 47 */
	(u8 *) "BMI", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 48 - 51 */
	(u8 *) NULL, (u8 *) "AND", (u8 *) "ROL", (u8 *) NULL,	/* 52 - 55 */
	(u8 *) "SEC", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 56 - 59 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 60 - 63 */
	(u8 *) "RTI", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 64 - 67 */
	(u8 *) NULL, (u8 *) "EOR", (u8 *) "LSR", (u8 *) NULL,	/* 68 - 71 */
	(u8 *) "PHA", (u8 *) "EOR", (u8 *) "LSR", (u8 *) NULL,	/* 72 - 75 */
	(u8 *) "JMP", (u8 *) "EOR", (u8 *) NULL, (u8 *) NULL,	/* 76 - 79 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 80 - 83 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 84 - 87 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 88 - 91 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 92 - 95 */
	(u8 *) "RTS", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 96 - 99 */
	(u8 *) NULL, (u8 *) "ADC", (u8 *) "ROR", (u8 *) NULL,	/* 100 - 103 */
	(u8 *) "PLA", (u8 *) "ADC", (u8 *) "ROR", (u8 *) NULL,	/* 104 - 107 */
	(u8 *) NULL, (u8 *) "ADC", (u8 *) NULL, (u8 *) NULL,	/* 108 - 111 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 112 - 115 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 116 - 119 */
	(u8 *) "SEI", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 120 - 123 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 124 - 127 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 128 - 131 */
	(u8 *) "STY", (u8 *) "STA", (u8 *) "STX", (u8 *) NULL,	/* 132 - 135 */
	(u8 *) "DEY", (u8 *) NULL, (u8 *) "TXA", (u8 *) NULL,	/* 136 - 139 */
	(u8 *) "STY", (u8 *) "STA", (u8 *) "STX", (u8 *) NULL,	/* 140 - 143 */
	(u8 *) "BCC", (u8 *) "STA", (u8 *) NULL, (u8 *) NULL,	/* 144 - 147 */
	(u8 *) "STY", (u8 *) "STA", (u8 *) NULL, (u8 *) NULL,	/* 148 - 151 */
	(u8 *) "TYA", (u8 *) "STA", (u8 *) "TXS", (u8 *) NULL,	/* 152 - 155 */
	(u8 *) NULL, (u8 *) "STA", (u8 *) NULL, (u8 *) NULL,	/* 156 - 159 */
	(u8 *) "LDY", (u8 *) NULL, (u8 *) "LDX\0", (u8 *) NULL,	/* 160 - 163 */
	(u8 *) "LDY", (u8 *) "LDA", (u8 *) "LDX", (u8 *) NULL,	/* 164 - 167 */
	(u8 *) "TAY", (u8 *) "LDA", (u8 *) "TAX", (u8 *) NULL,	/* 168 - 171 */
	(u8 *) "LDY", (u8 *) "LDA", (u8 *) "LDX", (u8 *) NULL,	/* 172 - 175 */
	(u8 *) "BCS", (u8 *) "LDA", (u8 *) NULL, (u8 *) NULL,	/* 176 - 179 */
	(u8 *) "LDY", (u8 *) "LDA", (u8 *) NULL, (u8 *) NULL,	/* 180 - 183 */
	(u8 *) NULL, (u8 *) "LDA", (u8 *) NULL, (u8 *) NULL,	/* 184 - 187 */
	(u8 *) "LDY", (u8 *) "LDA", (u8 *) "LDX", (u8 *) NULL,	/* 188 - 191 */
	(u8 *) "CPY", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 192 - 195 */
	(u8 *) "CPY", (u8 *) "CMP", (u8 *) "DEC", (u8 *) NULL,	/* 196 - 199 */
	(u8 *) "INY", (u8 *) "CMP", (u8 *) "DEX", (u8 *) NULL,	/* 200 - 203 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) "DEC", (u8 *) NULL,	/* 204 - 207 */
	(u8 *) "BNE", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 208 - 211 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) "DEC", (u8 *) NULL,	/* 212 - 215 */
	(u8 *) "CLD", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 216 - 219 */
	(u8 *) NULL, (u8 *) "CMP", (u8 *) "DEC", (u8 *) NULL,	/* 220 - 223 */
	(u8 *) "CPX", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 224 - 227 */
	(u8 *) "CPX", (u8 *) "SBC", (u8 *) "INC", (u8 *) NULL,	/* 228 - 231 */
	(u8 *) "INX", (u8 *) "SBC", (u8 *) "NOP", (u8 *) NULL,	/* 232 - 235 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) "INC", (u8 *) NULL,	/* 236 - 239 */
	(u8 *) "BEQ", (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 240 - 243 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 244 - 247 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) NULL, (u8 *) NULL,	/* 248 - 251 */
	(u8 *) NULL, (u8 *) NULL, (u8 *) "INC", (u8 *) NULL	/* 252 - 255 */
};


static void (*jtable[256]) (void) = {
	g_brk_00, g_unknown, g_unknown, g_unknown,	/* 0 - 3 */
	    g_unknown, g_ora_05, g_asl_06, g_unknown,	/* 4 - 7 */
	    g_php_08, g_ora_09, g_asl_0a, g_unknown,	/* 8 - 11 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 12 - 15 */
	    g_bpl_10, g_unknown, g_unknown, g_unknown,	/* 16 - 19 */
	    g_unknown, g_unknown, g_asl_16, g_unknown,	/* 20 - 23 */
	    g_clc_18, g_unknown, g_unknown, g_unknown,	/* 24 - 27 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 28 - 31 */
	    g_jsr_20, g_unknown, g_unknown, g_unknown,	/* 32 - 35 */
	    g_unknown, g_and_25, g_unknown, g_unknown,	/* 36 - 39 */
	    g_plp_28, g_and_29, g_rol_2a, g_unknown,	/* 40 - 43 */
	    g_bit_2c, g_unknown, g_unknown, g_unknown,	/* 44 - 47 */
	    g_bmi_30, g_unknown, g_unknown, g_unknown,	/* 48 - 51 */
	    g_unknown, g_and_35, g_rol_36, g_unknown,	/* 52 - 55 */
	    g_sec_38, g_unknown, g_unknown, g_unknown,	/* 56 - 59 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 60 - 63 */
	    g_rti_40, g_unknown, g_unknown, g_unknown,	/* 64 - 67 */
	    g_unknown, g_eor_45, g_lsr_46, g_unknown,	/* 68 - 71 */
	    g_pha_48, g_eor_49, g_lsr_4a, g_unknown,	/* 72 - 75 */
	    g_jmp_4c, g_eor_4d, g_unknown, g_unknown,	/* 76 - 79 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 80 - 83 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 84 - 87 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 88 - 91 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 92 - 95 */
	    g_rts_60, g_unknown, g_unknown, g_unknown,	/* 96 - 99 */
	    g_unknown, g_adc_65, g_ror_66, g_unknown,	/* 100 - 103 */
	    g_pla_68, g_adc_69, g_ror_6a, g_unknown,	/* 104 - 107 */
	    g_unknown, g_adc_6d, g_unknown, g_unknown,	/* 108 - 111 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 112 - 115 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 116 - 119 */
	    g_sei_78, g_unknown, g_unknown, g_unknown,	/* 120 - 123 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 124 - 127 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 128 - 131 */
	    g_sty_84, g_sta_85, g_stx_86, g_unknown,	/* 132 - 135 */
	    g_dey_88, g_unknown, g_txa_8a, g_unknown,	/* 136 - 139 */
	    g_sty_8c, g_sta_8d, g_stx_8e, g_unknown,	/* 140 - 143 */
	    g_bcc_90, g_sta_91, g_unknown, g_unknown,	/* 144 - 147 */
	    g_sty_94, g_sta_95, g_unknown, g_unknown,	/* 148 - 151 */
	    g_tya_98, g_sta_99, g_txs_9a, g_unknown,	/* 152 - 155 */
	    g_unknown, g_sta_9d, g_unknown, g_unknown,	/* 156 - 159 */
	    g_ldy_a0, g_unknown, g_ldx_a2, g_unknown,	/* 160 - 163 */
	    g_ldy_a4, g_lda_a5, g_ldx_a6, g_unknown,	/* 164 - 167 */
	    g_tay_a8, g_lda_a9, g_tax_aa, g_unknown,	/* 168 - 171 */
	    g_ldy_ac, g_lda_ad, g_ldx_ae, g_unknown,	/* 172 - 175 */
	    g_bcs_b0, g_lda_b1, g_unknown, g_unknown,	/* 176 - 179 */
	    g_ldy_b4, g_lda_b5, g_unknown, g_unknown,	/* 180 - 183 */
	    g_unknown, g_lda_b9, g_unknown, g_unknown,	/* 184 - 187 */
	    g_ldy_bc, g_lda_bd, g_ldx_be, g_unknown,	/* 188 - 191 */
	    g_cpy_c0, g_unknown, g_unknown, g_unknown,	/* 192 - 195 */
	    g_cpy_c4, g_cmp_c5, g_dec_c6, g_unknown,	/* 196 - 199 */
	    g_iny_c8, g_cmp_c9, g_dex_ca, g_unknown,	/* 200 - 203 */
	    g_unknown, g_unknown, g_dec_ce, g_unknown,	/* 204 - 207 */
	    g_bne_d0, g_unknown, g_unknown, g_unknown,	/* 208 - 211 */
	    g_unknown, g_unknown, g_dec_d6, g_unknown,	/* 212 - 215 */
	    g_cld_d8, g_unknown, g_unknown, g_unknown,	/* 216 - 219 */
	    g_unknown, g_cmp_dd, g_unknown, g_unknown,	/* 220 - 223 */
	    g_cpx_e0, g_unknown, g_unknown, g_unknown,	/* 224 - 227 */
	    g_cpx_e4, g_sbc_e5, g_inc_e6, g_unknown,	/* 228 - 231 */
	    g_inx_e8, g_sbc_e9, g_nop_ea, g_unknown,	/* 232 - 235 */
	    g_unknown, g_unknown, g_inc_ee, g_unknown,	/* 236 - 239 */
	    g_beq_f0, g_unknown, g_unknown, g_unknown,	/* 240 - 243 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 244 - 247 */
	    g_unknown, g_unknown, g_unknown, g_unknown,	/* 248 - 251 */
	    g_unknown, g_unknown, g_inc_fe, g_unknown	/* 252 - 255 */
};

#endif
